Skip to main content
POST
/
v1
/
cards
/
{card_id}
/
deposit
Deposit to card
curl --request POST \
  --url https://api.platnova.com/v1/cards/{card_id}/deposit \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "amount": "1000"
}
'
import requests

url = "https://api.platnova.com/v1/cards/{card_id}/deposit"

payload = { "amount": "1000" }
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({amount: '1000'})
};

fetch('https://api.platnova.com/v1/cards/{card_id}/deposit', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": true,
  "data": {
    "customer": {
      "id": "43a2b75e-5c59-429e-872a-2a54c7b17e34",
      "first_name": "John",
      "last_name": "Doe",
      "email": "[email protected]"
    },
    "card_id": "18ee492a-617c-4878-958a-2ee08dc20ff4",
    "transaction_reference": "UTR_7HeRoy4CRl6hcOOqAzwAeo0WLLMMbt",
    "transaction_status": "processing",
    "currency": "ngn",
    "amount": "1000"
  },
  "error": [],
  "message": "operation was successful"
}
{
  "status": false,
  "data": {},
  "error": [],
  "message": "card was not found"
}

Overview

Add funds to a specific card. This endpoint allows you to deposit money into a card from your business wallet. The deposit will be processed and the card balance will be updated accordingly.

Authorizations

X-API-KEY
string
header
required

API key for authentication.

Path Parameters

card_id
string
required

Unique ID of the card

Body

application/json
amount
string

Amount to deposit

Response

200 - Success

status
boolean
data
object
error
any[]
message
string